# Warning, this package is synchronized with openSUSE and Fedora!

Name:           os-prober
Version:        1.76
Release:        %mkrel 4
Summary:        Probes disks on the system for installed operating systems
License:        GPLv1 and GPLv2+
Group:          System/Boot and Init
Url:            http://kitenet.net/~joey/code/%{name}/
Source0:        http://ftp.de.debian.org/debian/pool/main/o/%{name}/%{name}_%{version}.tar.xz
Source1:        COPYING-note.txt
Source2:        91bsd
Source3:        60ufs-test
Patch0:         os-prober-no-dummy-mach-kernel.patch
# Sent upstream
Patch1:         os-prober-mdraidfix.patch
Patch2:         os-prober-btrfsfix.patch
Patch3:         os-prober-bootpart-name-fix.patch
Patch4:         os-prober-mounted-partitions-fix.patch
Patch5:         os-prober-factor-out-logger.patch
# To be sent upstream
Patch6:         os-prober-factored-logger-efi-fix.patch
Patch7:         os-prober-umount-fix.patch
Patch8:         os-prober-grub2-parsefix.patch
Patch9:         os-prober-grepfix.patch
Patch10:        os-prober-gentoo-fix.patch
Patch11:        os-prober-pclinuxos.patch
Patch12:        os-prober-50mounted-tests.patch
Patch13:        os-prober-50mounted-tests2.patch
Requires:       grep
Requires:       sed
Requires:       btrfs-progs
Requires:       coreutils
Requires:       udev
Requires:       util-linux
Requires:       dmsetup
Recommends:     dmraid
Recommends:     lvm2

%description
This package detects other OSes available on a system and outputs the results
in a generic machine-readable format. Support for new OSes and Linux
distributions can be added easily.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

cp %{SOURCE1} .

# Replace blkid with /sbin/blkid Mga#16803
/bin/sed -i 's:(blkid:(/sbin/blkid:g' common.sh
/bin/sed -i 's:pe blkid:pe /sbin/blkid:g' common.sh

find -type f -exec sed -i -e 's|usr/lib|usr/libexec|g' {} \;

%build
%make_build CC="gcc" CFLAGS="%{optflags}"

%install
install -m 0755 -d %{buildroot}%{_bindir}
install -m 0755 -d %{buildroot}%{_localstatedir}/lib/%{name}

install -m 0755 -p %{name} linux-boot-prober %{buildroot}%{_bindir}
install -m 0755 -Dp newns %{buildroot}%{_libexecdir}/%{name}/newns
install -m 0644 -Dp common.sh %{buildroot}%{_datadir}/%{name}/common.sh

mkdir -p os-probes/common/ufs
cp -a %{SOURCE2} os-probes/common/ufs/91bsd
cp -a %{SOURCE3} os-probes/common/60ufs-test

%ifarch %{ix86} x86_64
ARCH=x86
%endif

for probes in os-probes os-probes/mounted os-probes/init \
              linux-boot-probes linux-boot-probes/mounted; do
        install -m 755 -d %{buildroot}%{_libexecdir}/$probes
        cp -a $probes/common/* %{buildroot}%{_libexecdir}/$probes
        if [ -e "$probes/$ARCH" ]; then
                cp -a $probes/$ARCH/* %{buildroot}%{_libexecdir}/$probes
        fi
done

ln -sf ../ufs/91bsd %{buildroot}%{_libexecdir}/os-probes/mounted/91bsd

if [ "$ARCH" = x86 ]; then
        install -m 755 -p os-probes/mounted/powerpc/20macosx \
            %{buildroot}%{_libexecdir}/os-probes/mounted
fi

#exclude
rm -f %buildroot/%{_libexecdir}/os-probes/50mounted-tests


%files
%doc README TODO debian/changelog debian/copyright COPYING-note.txt
%{_bindir}/*
%{_libexecdir}/linux-boot-probes
%{_libexecdir}/os-probes
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}


%changelog
* Sun Aug 08 2017 bb2 <bb2> - 1.76-4pclos2017
- exclude /usr/libexec/os-probes/50mounted-tests

* Mon Jul 24 2017 bb2 <bb2> - 1.76-3pclos2017
- apply grub2-mount and grub2-probe patches

* Mon Jul 24 2017 bb2 <bb2> - 1.76-2pclos2017
- apply fedora patches

* Sat Jul 22 2017 bb2 <bb2> - 1.76-1pclos2017
- new version

* Thu Jul 06 2017 bb2 <bb2> - 1.74-1pclos2017
- update for new grub2
